This package has been deprecated

    Author message:

    this package has been deprecated

    redux-fetch-utils

    0.1.0 • Public • Published

    redux-fetch-utils

    Greenkeeper badge Build Status npm package Dependency Status devDependency Status

    Utils for fetching data with Redux.

    Installation

    yarn add redux-fetch-utils
    

    The Gist

    import { invalidateFetchedData, shouldFetchData } from 'redux-fetch-utils';
     
    const state = {
      response: { error: 'old response data' },
      didInvalidate: false,
      isFetching: false,
    };
     
    // use this in your reducer
    const newState = invalidateFetchedData(state);
     
    // before fetching new data use this to check if data should be fetched
    const shouldFetchDataForNewState = shouldFetchData(newState);

    License

    MIT

    Install

    npm i redux-fetch-utils

    DownloadsWeekly Downloads

    2

    Version

    0.1.0

    License

    MIT

    Unpacked Size

    9.65 kB

    Total Files

    12

    Last publish

    Collaborators

    • rtkhanas